Ubuntu

AutoConfigure support for older Geodes

Reported by Martin-Éric Racine on 2009-09-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Debian)
Fix Released
Unknown
xorg-server (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Martin-Éric Racine
Nominated for Intrepid by Martin-Éric Racine
Nominated for Jaunty by Martin-Éric Racine
Nominated for Karmic by Martin-Éric Racine

Bug Description

Unless I'm mistaken, the attached patch against X server 1.6.3 (possibly usable on older servers) would implement AutoConfigure for older Geode products.

However, noticing that the 'nsc' and 'cyrix' drivers have disappeared, I'm wondering whether it could be a good idea to truncate this patch further to only add auto-detection for GX2.

The X team's feedback is welcome.

ProblemType: Bug
Architecture: i386
Date: Thu Sep 3 20:38:09 2009
DistroRelease: Ubuntu 9.10
Lsusb:
 Bus 002 Device 003: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
 Bus 002 Device 002: ID 03f9:0100 KeyTronic Corp. Keyboard
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: First International Computer, Inc. ION603
Package: xserver-xorg-core 2:1.6.3-1ubuntu4
ProcCmdLine: root=UUID=97b2628b-28a5-49f2-85f7-495728b3bef8 ro quiet splash
ProcEnviron:
 LANGUAGE=fi_FI:fi:en_US:en
 PATH=(custom, user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu5
 libgl1-mesa-glx 7.6.0~git20090817.7c422387-0ubuntu3
 libdrm2 2.4.12+git20090801.45078630-0ubuntu1
 xserver-xorg-video-intel 2:2.8.1-1ubuntu1
 xserver-xorg-video-ati 1:6.12.99+git20090825.fc74e119-0ubuntu1
SourcePackage: xorg-server
Uname: Linux 2.6.30-020630-generic i586
dmi.bios.date: 11/08/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: ION603
dmi.board.vendor: First International Computer, Inc.
dmi.board.version: PCB 2.X
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd11/08/2007:svnFirstInternationalComputer,Inc.:pnION603:pvrVER2.X:rvnFirstInternationalComputer,Inc.:rnION603:rvrPCB2.X:cvn:ct3:cvr:
dmi.product.name: ION603
dmi.product.version: VER 2.X
dmi.sys.vendor: First International Computer, Inc.
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i586kernel: 2.6.30-020630-generic
xkbcomp:
 Error: command ['xkbcomp', ':0', '-w0', '-'] failed with exit code 1: No protocol specified
 Error: Cannot open display ":0"
                   Exiting

Related branches

Martin-Éric Racine (q-funk) wrote :
Martin-Éric Racine (q-funk) wrote :

Here is a simpler patch that would apply to the X server 1.4 in Hardy. Potential candidate for an SRU?

Martin-Éric Racine (q-funk) wrote :

Here's a revised patch that applies to both X server 1.6.3 (karmic) and 1.6.0 (jaunty).

Martin-Éric Racine (q-funk) wrote :

As pointed out by Julien Cristau, the fall back to "amd" on GX2 and LX can be safely removed for servers 1.6.0 and 1.6.3, since both GX2 and LX have fully migrated to the -geode driver.

However, in principle, GX2 could still fall back to "nsc" as needed, thus we'd be left with:

  case 0x1022:
      if (dev->device_id == 0x2081) {
  /* AMD Geode LX */
   driverList[0] = "geode";
      }
      break;
 /* Geode products acquired by AMD still carrying an NSC vendor_id */
 case 0x100B:
     if (dev->device_id == 0x0030) {
  /* NSC Geode GX2 */
  driverList[0] = "geode";
  driverList[1] = "nsc";
     } else
  /* NSC Geode SC */
  driverList[0] = "nsc";
     break;

Martin-Éric Racine (q-funk) wrote :

Test packages for Karmic and Jaunty made with the above patch are available via my PPA.

Martin-Éric Racine (q-funk) wrote :

Here's an updated patch for the X server 1.6 series.

Martin-Éric Racine (q-funk) wrote :

Here's an updated patch for X server 1.4.1 from Hardy.

Martin-Éric Racine (q-funk) wrote :

To recap:

1) The 1.6.x patch can be immediately applied to X server 1.6.3 in Karmic. Enjoy!

2) The 1.6.x patch can be applied to X server 1.6.0 in Jaunty as well, but only after cherry-picked commits from Geode 2.11.4.1 have been applied to Geode 2.11.1-1 in Jaunty.

3) The 1.4.1 patch can be applied to X server 1.4.1 in Hardy only after cherry-picked commits from Geode 2.11.4.1 have been applied to Geode 2.9.0-1ubuntu2.5 in Hardy. This might prove to be a lot harder to accomplish than items 1 and 2 , because of the sheer number of recent #ifdef in Geode that were added to support newer X servers that we'll need to weed through before we can spot essential fixes and verify that they apply cleanly on 2.9.0 without introducing any regression. The difficulty level might be similar to the 2.8.0 to 2.9.0 jump we made right after Hardy was released. From this perspective, resorting to a straightforward backport of 2.11.4.1 might prove to be a more practical solution.

Martin-Éric Racine (q-funk) wrote :

PS: anyone who wishes to test this can use the packages in my PPA (Geode 2.11.4.1 backports and patched X servers for Hardy, Jaunty, Karmic) as a reference.

Martin-Éric Racine (q-funk) wrote :

X server 1.6.x patch committed to upstream xorg/xserver git as 842b7a47d583a7729099de3031ae20977dddf774.

Bryce Harrington (bryce) on 2009-09-04
Changed in xorg-server (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.6.3-1ubuntu6

---------------
xorg-server (2:1.6.3-1ubuntu6) karmic; urgency=low

  * Add 186_autoconfig_geode.patch: Add autoconfiguration support for
    older geode cards. Cherrypick from upstream.
    (LP: #423866)

 -- Bryce Harrington <email address hidden> Tue, 08 Sep 2009 15:43:28 -0700

Changed in xorg-server (Ubuntu):
status: Confirmed → Fix Released
Martin-Éric Racine (q-funk) wrote :

Thank you for this Karmic release!

Moving on to the SRU for older releases. Please stay tuned.

Changed in xorg-server (Debian):
status: Unknown → Confirmed
Artur Rona (ari-tczew) on 2009-09-20
tags: added: patch
removed: apport-bug i386
Changed in xorg-server (Debian):
status: Confirmed → Fix Released

AMD Geode LX800 is not detected properly in UNR KK (9.10) On my netbook the resolution should be 800x480, but it detects only 4:3 resolutions (800x600, 640x480, 320x240 etc).

Martin-Éric Racine (q-funk) wrote :

Stanislav, what you're reporting is not related to this bug. Besides, it has already been reported as bug #433142.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.